From 66e8c3c53c33f1b707adbbd6fe38c34fb60fa8c7 Mon Sep 17 00:00:00 2001
From: Ke Zhiming <kezhiming@huawei.com>
Date: Thu, 30 Apr 2020 16:32:22 +0800
Subject: [PATCH 55/77] libvirt_usb_hotplug_device: redirect warning to
 /dev/null

If guestos use GPT partition, fdisk -l have warning like "WARNING: fdisk
GPT support is currently new, and therefore in an experimental phase.". it
will cause a '[ERROR]invalid literal for int() with base 10'

Signed-off-by: Ke Zhiming <kezhiming@huawei.com>
---
 libvirt/tests/src/libvirt_usb_hotplug_device.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libvirt/tests/src/libvirt_usb_hotplug_device.py b/libvirt/tests/src/libvirt_usb_hotplug_device.py
index c283f5a4..1a4a6913 100644
--- a/libvirt/tests/src/libvirt_usb_hotplug_device.py
+++ b/libvirt/tests/src/libvirt_usb_hotplug_device.py
@@ -63,7 +63,7 @@ def run(test, params, env):
 
     def is_hotplug_ok():
         try:
-            output = session.cmd_output("fdisk -l | grep -c '^Disk /dev/.* 1 M'")
+            output = session.cmd_output("fdisk -l 2>/dev/null | grep -c '^Disk /dev/.* 1 M'")
             if int(output.strip()) != attach_count:
                 return False
             else:
-- 
2.23.0

